### Method

# Gtk PrintContext get_hard_margins

#### Declaration [src]

    gboolean
    gtk_print_context_get_hard_margins (
      GtkPrintContext* context,
      double* top,
      double* bottom,
      double* left,
      double* right
    )

#### Description [src]

Obtains the hardware printer margins of the `GtkPrintContext`, in units.

#### Parameters

`top` | `double*`
| Top hardware printer margin.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`bottom` | `double*`
| Bottom hardware printer margin.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`left` | `double*`
| Left hardware printer margin.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`right` | `double*`
| Right hardware printer margin.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the hard margins were retrieved.